### Hierarchy

- unknown
  - RefreshTradeStateRequest

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- getSenderNodeAddress
- getTradeId
- getUid
- hasSenderNodeAddress
- serializeBinary
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RefreshTradeStateRequest(): RefreshTradeStateRequest

- Inherited from jspb.Message.constructor

  #### Returns RefreshTradeStateRequest

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): RefreshTradeStateRequest

- - Defined in src/protobuf/pb_pb.d.ts:2031

  #### Returns RefreshTradeStateRequest

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2028

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:2025

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:2022

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2030

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2033

  #### Returns Uint8Array

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): RefreshTradeStateRequest

- - Defined in src/protobuf/pb_pb.d.ts:2029

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns RefreshTradeStateRequest

### setTradeId

- setTradeId(value: string): RefreshTradeStateRequest

- - Defined in src/protobuf/pb_pb.d.ts:2026

  #### Parameters

  - ##### value: string

  #### Returns RefreshTradeStateRequest

### setUid

- setUid(value: string): RefreshTradeStateRequest

- - Defined in src/protobuf/pb_pb.d.ts:2023

  #### Parameters

  - ##### value: string

  #### Returns RefreshTradeStateRequest

### toObject

- toObject(includeInstance?: boolean): RefreshTradeStateRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2034

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RefreshTradeStateRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RefreshTradeStateRequest

- - Defined in src/protobuf/pb_pb.d.ts:2037

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RefreshTradeStateRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RefreshTradeStateRequest, reader: BinaryReader): RefreshTradeStateRequest

- - Defined in src/protobuf/pb_pb.d.ts:2038

  #### Parameters

  - ##### message: RefreshTradeStateRequest

  - ##### reader: BinaryReader

  #### Returns RefreshTradeStateRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RefreshTradeStateRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2036

  #### Parameters

  - ##### message: RefreshTradeStateRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RefreshTradeStateRequest ): RefreshTradeStateRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2035

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RefreshTradeStateRequest

  #### Returns RefreshTradeStateRequest . AsObject

Generated using TypeDoc